Sonochan II 0.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Structures | Macros | Functions | Variables
usb_specific_request.h File Reference

Processing of USB device specific enumeration requests. More...

`#include "conf_usb.h"`

Go to the source code of this file.

## Data Structures
union | S_freq
struct | S_line_coding

## Macros
#define | Usb_sample_rate_as_bytes(rate) (((rate)>>0)&0xff),(((rate)>>8)&0xff),(((rate)>>16)&0xff),(((rate)>>24)&0xff)
#define | SEND_ENCAPSULATED_COMMAND 0x00
#define | GET_ENCAPSULATED_RESPONSE 0x01
#define | SET_LINE_CODING 0x20
#define | GET_LINE_CODING 0x21
#define | SET_CONTROL_LINE_STATE 0x22
#define | SEND_BREAK 0x23

## Functions
void | usb_user_endpoint_init (U8)
| This function configures the endpoints of the device application. This function is called when the set configuration request has been received. More...
void | usb_user_set_interface (U8 wIndex, U8 wValue)
| This function handles usb_set_interface side effects. This function is called from usb_set_interface in usb_standard_request in case there are side effects of the interface change to be handled. More...
Bool | usb_user_read_request (U8, U8)
Bool | usb_user_get_descriptor (U8, U8)
void | cdc_get_line_coding (void)
| This function manages reception of line coding parameters (baudrate...). More...
void | cdc_set_line_coding (void)
| This function manages reception of line coding parameters (baudrate...). More...
void | cdc_set_control_line_state (void)
| This function manages the SET_CONTROL_LINE_LINE_STATE CDC request. More...

## Variables
U8 | clock_selected
Bool | clock_changed
U8 | usb_feature_report [9]
U8 | usb_report [9]
U8 | g_u8_report_rate
volatile U16 | usb_interface_nb
volatile U8 | usb_alternate_setting
volatile U8 | usb_alternate_setting_out
volatile Bool | usb_alternate_setting_changed
volatile Bool | usb_alternate_setting_out_changed
S_freq | current_freq
Bool | freq_changed

## Detailed Description

Processing of USB device specific enumeration requests.

This file contains the specific request decoding for enumeration process.

- Compiler: IAR EWAVR32 and GNU GCC for AVR32
- Supported devices: All AVR32 devices with a USB module can be used.
- AppNote:

Author
  Atmel Corporation: http://www.atmel.com
  Support and FAQ: http://support.atmel.no/

## Macro Definition Documentation

#define GET_ENCAPSULATED_RESPONSE 0x01

#define GET_LINE_CODING 0x21

#define SEND_BREAK 0x23

#define SEND_ENCAPSULATED_COMMAND 0x00

#define SET_CONTROL_LINE_STATE 0x22

#define SET_LINE_CODING 0x20

#define Usb_sample_rate_as_bytes | ( |  | rate) |  | (((rate)>>0)&0xff),(((rate)>>8)&0xff),(((rate)>>16)&0xff),(((rate)>>24)&0xff)

## Function Documentation

void cdc_get_line_coding | ( | void | ) |  |

This function manages reception of line coding parameters (baudrate...).

void cdc_set_control_line_state | ( | void | ) |  |

This function manages the SET_CONTROL_LINE_LINE_STATE CDC request.

Todo:
  Manages here hardware flow control...

void cdc_set_line_coding | ( | void | ) |  |

This function manages reception of line coding parameters (baudrate...).

## Variable Documentation

Bool clock_changed

U8 clock_selected

S_freq current_freq

Bool freq_changed

U8 g_u8_report_rate

volatile U8 usb_alternate_setting

volatile Bool usb_alternate_setting_changed

volatile U8 usb_alternate_setting_out

volatile Bool usb_alternate_setting_out_changed

U8 usb_feature_report[9]

volatile U16 usb_interface_nb

U8 usb_report[9]